// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCJvZ5zNfjrN7aef9XEJz4K10uo2_k2O4s',
    appId: '1:399195667351:web:9c47023c594ea552c1e2d2',
    messagingSenderId: '399195667351',
    projectId: 'prakflutterfirebase-1f0fe',
    authDomain: 'prakflutterfirebase-1f0fe.firebaseapp.com',
    storageBucket: 'prakflutterfirebase-1f0fe.appspot.com',
    measurementId: 'G-TFSH4C6JVW',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBXLam4vnjM3jVt8zGLzKYjihqea4Ee1ZI',
    appId: '1:399195667351:android:0a51b1ac3e2a2164c1e2d2',
    messagingSenderId: '399195667351',
    projectId: 'prakflutterfirebase-1f0fe',
    storageBucket: 'prakflutterfirebase-1f0fe.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBCXzDjh423n95IuH-dHa8fGEL0E_M6nHw',
    appId: '1:399195667351:ios:30d03312005a5b94c1e2d2',
    messagingSenderId: '399195667351',
    projectId: 'prakflutterfirebase-1f0fe',
    storageBucket: 'prakflutterfirebase-1f0fe.appspot.com',
    iosBundleId: 'com.example.pratikum6',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBCXzDjh423n95IuH-dHa8fGEL0E_M6nHw',
    appId: '1:399195667351:ios:30d03312005a5b94c1e2d2',
    messagingSenderId: '399195667351',
    projectId: 'prakflutterfirebase-1f0fe',
    storageBucket: 'prakflutterfirebase-1f0fe.appspot.com',
    iosBundleId: 'com.example.pratikum6',
  );
}
